Summary:     MSVSphere GNOME Desktop Flavour Selector
Name:           smart-launcher
Version:         2.0.0
Release:        1%{?dist}

Url:            https://msvsphere-os.ru
License:        GPLv2+
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.conf

Requires:       bash
Requires:       dbus-x11
Requires:       ptyxis

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  vala
BuildRequires:  cmake
BuildRequires:  gtk4-devel
BuildRequires:  libadwaita-devel

%global debug_package %{nil}
%define _build_id_links none

%description
Program for running applications with a change in execution priority, or on behalf of another user.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}
cp -f %{SOURCE1} %{buildroot}%{_usr}/lib/%{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/com.inferit.smart_launcher.desktop

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_sysconfdir}/polkit-1/rules.d/47-gksudo2-gk-env-cmd.rules
%{_usr}/lib/%{name}
%{_bindir}/%{name}
%{_datadir}/polkit-1/actions/gksudo2.gk.env.cmd.policy
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/com.inferit.smart_launcher.desktop
%{_datadir}/metainfo/com.inferit.smart_launcher.metainfo.xml
%{_datadir}/glib-2.0/schemas/com.inferit.smart_launcher.gschema.xml

%post
chmod 0755 /usr/lib/smart-launcher/scripts/gksudo2
chmod 0744 /usr/lib/smart-launcher/scripts/gksudo2-su

%changelog
* Wed May 14 2025 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 2.0.0-1
- Initial build
